# Generated by Django 3.0.8 on 2020-09-02 21:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('patient_registration', '0006_auto_20200902_1956'),
    ]

    operations = [
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.RemoveField(
            model_name='patientregistration',
            name='patient_address',
        ),
        migrations.AddField(
            model_name='patientregistration',
            name='patient_address1',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='address line 1'),
        ),
        migrations.AddField(
            model_name='patientregistration',
            name='patient_address2',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='address line 2'),
        ),
        migrations.AddField(
            model_name='patientregistration',
            name='patient_city',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='city'),
        ),
        migrations.AddField(
            model_name='patientregistration',
            name='patient_district',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.District'),
        ),
        migrations.AddField(
            model_name='patientregistration',
            name='patient_state',
            field=models.ForeignKey(blank=True, default=12, null=True, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.State'),
        ),
    ]
